/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:31:08.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.entity.ObjectiveQuestionStructure;
import cn.com.qmth.examcloud.core.print.entity.SubjectiveQuestionStructure;

import java.util.List;

/**
 * @author: QMTH
 * @since: 2018/10/22
 */
public interface ExamQuestionStructureService {

    /**
     * 保存试卷试题结构
     */
    void savePaperQuestionStructure(Long examId, String paperId);

    /**
     * 获取客观题结构
     */
    List<ObjectiveQuestionStructure> getObjectiveQuestionStructureList(Long orgId, Long examId, String paperId, String paperType);

    /**
     * 获取主观题结构
     */
    List<SubjectiveQuestionStructure> getSubjectiveQuestionStructureList(Long orgId, Long examId, String paperId, String paperType);

    /**
     * 同步更新课程名称信息
     */
    void syncObjectiveCourseNameByCourseId(Long courseId, String courseName);

    /**
     * 同步更新课程名称信息
     */
    void syncSubjectiveCourseNameByCourseId(Long courseId, String courseName);

}