/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-13 16:49:32.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.coursepaper;

import cn.com.qmth.examcloud.core.print.entity.CoursePaper;
import com.google.common.collect.Lists;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author: QMTH
 * @since: 2018/11/13
 */
public class CoursePaperConvert {

    public static CoursePaperLessInfo of(CoursePaper coursePaper) {
        CoursePaperLessInfo info = new CoursePaperLessInfo();
        info.setCoursePaperId(coursePaper.getId());
        info.setPaperId(coursePaper.getPaperId());
        info.setPaperName(coursePaper.getPaperName());
        info.setPaperP(coursePaper.getPaperP());
        return info;
    }

    public static List<CoursePaperLessInfo> ofList(List<CoursePaper> entities) {
        if (entities == null) {
            return Lists.newArrayList();
        }
        return entities.stream().map(entity -> of(entity)).collect(Collectors.toList());
    }

}